/**
 * ActClassControlAct.java
 *
 * File generated from the medication::ActClassControlAct uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassControlAct.
 *
 * 
 */

@XmlType(name = "ActClassControlAct")
@XmlEnum
@XmlRootElement(name = "ActClassControlAct")
public enum ActClassControlAct {
	@XmlEnumValue("CACT")
	CACT("CACT"),
	@XmlEnumValue("ACTN")
	ACTN("ACTN"),
	@XmlEnumValue("INFO")
	INFO("INFO"),
	@XmlEnumValue("STC")
	STC("STC");
	
	private final String value;

    ActClassControlAct(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassControlAct fromValue(String v) {
        for (ActClassControlAct c: ActClassControlAct.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}